'use client'
import React  from "react";
import { Modal, ModalContent, ModalHeader, ModalBody, ModalFooter, Button } from "@nextui-org/react";
import useListContactStore from "@/feature/messenger/store/useListContactStore";
import { profileIconSize } from "@/feature/messenger/utils/ProfileColorIcon";
import { useTranslation } from "@/src/hooks/useTranslation";
export default function ContactView() {

    const openModalContact = useListContactStore(state => state.openModalContact);
    const handlerOpenModalContact = useListContactStore(state => state.handlerOpenModalContact);
    const contactSelected = useListContactStore(state => state.contactSelected);
    const { trans } = useTranslation();

    return (
        <>
            <Modal backdrop="transparent" size="xl" isOpen={openModalContact} onClose={handlerOpenModalContact}>
                <ModalContent>
                    {(onClose) => (
                        <>
                            <ModalHeader className="flex flex-col gap-1 truncate w-fit">{contactSelected?.nombre || contactSelected?.celular}</ModalHeader>
                            <ModalBody>
                                <div className="w-full flex flex-col justify-center items-center gap-2 mb-2">
                                    {profileIconSize(contactSelected?.nombre || "")}
                                    <p className="w-fit truncate">{contactSelected?.nombre || contactSelected?.celular}</p>
                                </div>
                                <div className="flex space-x-4 justify-between">
                                    <div>
                                        <table>
                                            <thead className="">
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_name')}</td></tr>
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_phone')}</td></tr>
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_city')}</td></tr>
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_email')}</td></tr>
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_address')}</td></tr>
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_state')}</td></tr>
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_management1')}</td></tr>
                                                <tr><td className="p-2 font-semibold">{trans('modal_conversations_contacts_show_title_management2')}</td></tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div>
                                        <table>
                                            <tbody className="bg-white">
                                                <tr><td className="p-2 w-fit truncate">{contactSelected?.nombre}</td></tr>
                                                <tr><td className="p-2 w-fit truncate">{contactSelected?.celular}</td></tr>
                                                <tr><td className="p-2 w-fit truncate">{contactSelected?.ciudad}</td></tr>
                                                <tr><td className="p-2">{contactSelected?.mail}</td></tr>
                                                <tr><td className="p-2">{contactSelected?.direccion}</td></tr>
                                                <tr><td className="p-2">{contactSelected?.status}</td></tr>
                                                <tr><td className="p-2">{contactSelected?.campo1}</td></tr>
                                                <tr><td className="p-2">{contactSelected?.campo2}</td></tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </ModalBody>
                            <ModalFooter>
                                <Button color="danger" variant="light" onPress={onClose}>
                                    {trans('modal_conversations_contacts_show_title_action_close')}
                                </Button>
                            </ModalFooter>
                        </>
                    )}
                </ModalContent>
            </Modal>
        </>
    );
}